KAZipPacketSender (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.comm

## Class KAZipPacketSender

- java.lang.Object
- - siena.comm.KAZipPacketSender

- All Implemented Interfaces:
    PacketSender

      public class KAZipPacketSender
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DefaultDisconnectTimeout`
    `static int` | `DefaultSoTimeout`
    `protected java.net.InetAddress` | `ip_address`
    `protected int` | `port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KAZipPacketSender(java.lang.String h)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCost()` returns cost of packet transmissions
    `void` | `send(byte[] packet)` sends a packet.
    `void` | `send(byte[] packet, int len)` sends a packet.
    `void` | `send(byte[] packet, int offset, int len)` sends a packet.
    `void` | `shutdown()` closes this sender.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface siena.comm.PacketSender

      `getCost`

- - ### Field Detail

    - #### DefaultSoTimeout

          public static int DefaultSoTimeout

    - #### DefaultDisconnectTimeout

          public static int DefaultDisconnectTimeout

    - #### ip_address

          protected java.net.InetAddress ip_address

    - #### port

          protected int port

  - ### Constructor Detail

    - #### KAZipPacketSender

          public KAZipPacketSender(java.lang.String h)
                            throws InvalidSenderException,
                                   java.net.UnknownHostException

      Throws:
        `InvalidSenderException`
        `java.net.UnknownHostException`

  - ### Method Detail

    - #### send

          public void send(byte[] packet,
                  int offset,
                  int len)
                    throws PacketSenderException

      Description copied from interface: `PacketSender`
      sends a packet.
      Specified by:
        `send` in interface `PacketSender`
      Throws:
        `PacketSenderException`

    - #### shutdown

          public void shutdown()

      Description copied from interface: `PacketSender`
      closes this sender.
      Specified by:
        `shutdown` in interface `PacketSender`

    - #### send

          public void send(byte[] packet)
                    throws PacketSenderException

      Description copied from interface: `PacketSender`
      sends a packet.
      Specified by:
        `send` in interface `PacketSender`
      Throws:
        `PacketSenderException`

    - #### send

          public void send(byte[] packet,
                  int len)
                    throws PacketSenderException

      Description copied from interface: `PacketSender`
      sends a packet.
      Specified by:
        `send` in interface `PacketSender`
      Throws:
        `PacketSenderException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCost

          public int getCost()

      returns cost of packet transmissions
      See Also:
        `PacketSender.getCost()`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga